//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#include <WScom.h>
#include <WSCvkflabel.h>
#include <WSCclassInformation.h>
#include <WSCdevice.h>
#include <WSDdev.h>
#include <WSCimageSet.h>
#include <WSDkeyboard.h>
#include <WSDtimer.h>
#include <WSCfontSet.h>
//#include <WSClist.h>
#include <WSDmouse.h>
#include <WSCpopupMenu.h>

WSMFguiClassInitialize(WSCvkflabel,WSCvklabel);
WSMFversion(WSCvkflabel,WSCvklabel);

WSCvkflabel::WSCvkflabel(WSCbase* base,char* objname):
                WSCvklabel(base,objname){

  _select_color_work = WS_DF_MENUSELECTCOLOR;
  _select_fore_color_work = WS_DF_MENUSELECTFORECOLOR;

  WSMFpropertyCreateStart
    WSMFparentCheckVerSrc(WSCvkflabel);

  WSMFpropertyCreateEnd
}
void WSCvkflabel::setWorkWSNselectColor(short ){}
void WSCvkflabel::setWorkWSNselectForeColor(short ){}

WSCvkflabel::~WSCvkflabel(){
}

void WSCvkflabel::onFocusChange(WSCbool fl){
  if (getSensitive() == False && fl != False){
    return;
  }
  if (fl != False){
    _select_color = _select_color_work;
    _select_fore_color = _select_fore_color_work;
    WSGIappKeyboard()->setFocusInputWorkProc(_key_handler,NULL,this);
    WSGIappKeyboard()->setEnableFep(getowndev(),False);
  }else{
    _select_color = 0;
    _select_fore_color = 0;
    WSGIappKeyboard()->resetFocusInputWorkProc();
  }
  setAbsoluteDraw(True);
  draw();
}
